loci.formats.in

## Class SlideBook7Reader.CAlignManipRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CAlignManipRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CAlignManipRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mManipID`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Float` | `mXOffset`
    `java.lang.Float` | `mYOffset`
    `java.lang.Float` | `mZOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAlignManipRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mManipID

          public java.lang.Integer mManipID

    - #### mXOffset

          public java.lang.Float mXOffset

    - #### mYOffset

          public java.lang.Float mYOffset

    - #### mZOffset

          public java.lang.Float mZOffset

  - ### Constructor Detail

    - #### CAlignManipRecord70

          CAlignManipRecord70()

Copyright © 2026 Open Microscopy Environment